#----------------------------------------------------------------------
# notebookNestedDemo.py
#
# Created 12/02/2009
#
# Author: Mike Driscoll - mike@pythonlibrary.org
#
# Note: Some Notebook code and the images module are from the 
#       wxPython Demo
#
#----------------------------------------------------------------------

import images
import wx
import nestedPanelOne, panelTwo, panelThree

########################################################################
class NestedNotebookDemo(wx.Notebook):
    """
    Notebook class
    """
    
    #----------------------------------------------------------------------
    def __init__(self, parent):
        wx.Notebook.__init__(self, parent, id=wx.ID_ANY, style=
                             wx.BK_DEFAULT
                             #wx.BK_TOP 
                             #wx.BK_BOTTOM
                             #wx.BK_LEFT
                             #wx.BK_RIGHT
                             )
        
        # Create the first tab and add it to the notebook
        tabOne = nestedPanelOne.TabPanel(self)        
        self.AddPage(tabOne, "TabOne")
        
        # Show how to put an image on one of the notebook tabs,
        # first make the image list:
        il = wx.ImageList(16, 16)
        idx1 = il.Add(images.Smiles.GetBitmap())
        self.AssignImageList(il)
        
        # now put an image on the first tab we just created:
        self.SetPageImage(0, idx1)
        
        # Create and add the second tab
        tabTwo = panelTwo.TabPanel(self)
        self.AddPage(tabTwo, "TabTwo")
        
        # Create and add the third tab
        self.AddPage(panelThree.TabPanel(self), "TabThree")
        
        self.Bind(wx.EVT_NOTEBOOK_PAGE_CHANGED, self.OnPageChanged)
        self.Bind(wx.EVT_NOTEBOOK_PAGE_CHANGING, self.OnPageChanging)
        
    def OnPageChanged(self, event):
        old = event.GetOldSelection()
        new = event.GetSelection()
        sel = self.GetSelection()
        print 'OnPageChanged,  old:%d, new:%d, sel:%d\n' % (old, new, sel)
        event.Skip()

    def OnPageChanging(self, event):
        old = event.GetOldSelection()
        new = event.GetSelection()
        sel = self.GetSelection()
        print 'OnPageChanging, old:%d, new:%d, sel:%d\n' % (old, new, sel)
        event.Skip()

        
########################################################################
class DemoFrame(wx.Frame):
    """
    Frame that holds all other widgets
    """

    #----------------------------------------------------------------------
    def __init__(self):
        """Constructor"""        
        wx.Frame.__init__(self, None, wx.ID_ANY, 
                          "Notebook Tutorial",
                          size=(600,400)
                          )
        panel = wx.Panel(self)
        
        notebook = NestedNotebookDemo(panel)
        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(notebook, 1, wx.ALL|wx.EXPAND, 5)
        panel.SetSizer(sizer)
        self.Layout()
        
        self.Show()
        
#----------------------------------------------------------------------
if __name__ == "__main__":
    app = wx.PySimpleApp()
    frame = DemoFrame()
    app.MainLoop()
